diff -Pru jvi.orig/src/org/jbopentools/editor/jbvi/JBTextView.java jvi/src/org/jbopentools/editor/jbvi/JBTextView.java
--- jvi.orig/src/org/jbopentools/editor/jbvi/JBTextView.java	2002-08-24 19:37:08.000000000 -0700
+++ jvi/src/org/jbopentools/editor/jbvi/JBTextView.java	2004-12-16 01:15:10.000000000 -0700
@@ -46,7 +46,8 @@
 import com.borland.primetime.editor.SearchOptions;
 import com.borland.primetime.viewer.NodeViewMap;
 import com.borland.primetime.viewer.TextViewerComponent;
-import com.borland.primetime.ui.Splitter;
+// Commented out because Splitter no longer exists???  -TAG
+//import com.borland.primetime.ui.Splitter;
 import com.borland.primetime.node.FileNode;
 import com.borland.primetime.node.Node;
 
@@ -245,10 +246,11 @@
       if(c instanceof TextViewerComponent) {
         break;
       }
-      if(c instanceof Splitter) {
-        is_split = true;
-        break;
-      }
+// Commented out because Splitter no longer exists???  -TAG
+//      if(c instanceof Splitter) {
+//        is_split = true;
+//        break;
+//      }
     }
     if(is_split) {
       win_close(false);
diff -Pru jvi.orig/src/org/jbopentools/editor/jbvi/JBViKeymap.java jvi/src/org/jbopentools/editor/jbvi/JBViKeymap.java
--- jvi.orig/src/org/jbopentools/editor/jbvi/JBViKeymap.java	2004-05-11 20:57:52.000000000 -0700
+++ jvi/src/org/jbopentools/editor/jbvi/JBViKeymap.java	2004-12-27 18:08:57.000000000 -0700
@@ -71,6 +71,7 @@
 import com.raelity.jvi.KeyDefs;
 import com.raelity.jvi.swing.KeyBinding;
 import java.beans.PropertyChangeEvent;
+import com.borland.primetime.editor.WrappedKeymap;
 
 /**
  * JBuilderKeymap holds the default key bindings for the JBuilder IDE.
@@ -105,8 +106,10 @@
     // Set up the IDE keymap
     //
 
-    Keymap ideMap = KeymapManager.createKeymap(VI_KEYMAP, bindingsVI);
-    KeymapManager.registerKeymap(ideMap);
+    final Keymap ideMap = KeymapManager.createKeymap(VI_KEYMAP, bindingsVI);
+
+    KeymapManager.registerKeymap(new WrappedKeymapFix(ideMap));
+
 
     //
     // Set up the editor keymap
@@ -168,11 +171,11 @@
 
     KeyBinding.removeBindings(viMap, ideMap);
 
-    EditorManager.registerKeymap(viMap);
+    EditorManager.registerKeymap(new WrappedKeymapFix(viMap));
 
     if(JBOT.has41()) {
       Keymap subMap = setupInsertSubKeymap(viMap);
-      EditorManager.registerKeymap(subMap);
+      EditorManager.registerKeymap(new WrappedKeymapFix(subMap));
       ViManager.setInsertModeKeymap(subMap);
       insertKeymap = subMap;
     } else {
diff -Pru jvi.orig/src/org/jbopentools/editor/jbvi/RegExpJBuilder40.java jvi/src/org/jbopentools/editor/jbvi/RegExpJBuilder40.java
--- jvi.orig/src/org/jbopentools/editor/jbvi/RegExpJBuilder40.java	2002-02-02 17:47:14.000000000 -0700
+++ jvi/src/org/jbopentools/editor/jbvi/RegExpJBuilder40.java	2004-12-16 01:16:55.000000000 -0700
@@ -12,18 +12,18 @@
  * License Version 1.1 (the "License"); you may not use this file
  * except in compliance with the License. You may obtain a copy of
  * the License at http://www.mozilla.org/MPL/
- * 
+ *
  * Software distributed under the License is distributed on an "AS
  * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
  * implied. See the License for the specific language governing
  * rights and limitations under the License.
- * 
+ *
  * The Original Code is jvi - vi editor clone.
- * 
+ *
  * The Initial Developer of the Original Code is Ernie Rael.
  * Portions created by Ernie Rael are
  * Copyright (C) 2000 Ernie Rael.  All Rights Reserved.
- * 
+ *
  * Contributor(s): Ernie Rael <err@raelity.com>
  */
 package org.jbopentools.editor.jbvi;
@@ -34,7 +34,9 @@
 
 import com.borland.primetime.editor.SearchManager;
 import com.borland.primetime.editor.SearchOptions;
-import com.borland.primetime.util.RegularExpression$MatchResult;
+
+// Commented out because this no longer exists? -TAG
+//import com.borland.primetime.util.RegularExpression$MatchResult;
 import com.borland.primetime.util.RegularExpression;
 
 /**
diff -Pru jvi.orig/src/org/jbopentools/editor/jbvi/WrappedKeymapFix.java jvi/src/org/jbopentools/editor/jbvi/WrappedKeymapFix.java
--- jvi.orig/src/org/jbopentools/editor/jbvi/WrappedKeymapFix.java	1969-12-31 17:00:00.000000000 -0700
+++ jvi/src/org/jbopentools/editor/jbvi/WrappedKeymapFix.java	2004-12-27 18:02:26.000000000 -0700
@@ -0,0 +1,41 @@
+package org.jbopentools.editor.jbvi;
+
+import javax.swing.text.*;
+
+import com.borland.primetime.editor.*;
+
+public class WrappedKeymapFix extends WrappedKeymap {
+  private Keymap keymap;
+  private WrappedIdeKeymap wrappedIdeKeymap;
+  private WrappedEditorKeymap wrappedEditorKeymap;
+
+  public WrappedKeymapFix(Keymap keymap) {
+    super(keymap.getName());
+    this.keymap = keymap;
+  }
+
+  public Keymap getIdeKeymap() {
+    return keymap;
+  }
+
+  public Keymap getEditorKeymap() {
+    return keymap;
+  }
+
+  public WrappedEditorKeymap getWrappedEditorKeymap() {
+    if(wrappedEditorKeymap == null) {
+      wrappedEditorKeymap = new WrappedEditorKeymap(this);
+    }
+
+    return wrappedEditorKeymap;
+  }
+
+  public WrappedIdeKeymap getWrappedIdeKeymap() {
+    if(wrappedIdeKeymap == null) {
+      wrappedIdeKeymap = new WrappedIdeKeymap(this);
+    }
+
+    return wrappedIdeKeymap;
+  }
+}
+
